summaryrefslogtreecommitdiff
path: root/contrib/reghunt/bin/gcc-cleanup
diff options
context:
space:
mode:
authorupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
committerupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
commit554fd8c5195424bdbcabf5de30fdc183aba391bd (patch)
tree976dc5ab7fddf506dadce60ae936f43f58787092 /contrib/reghunt/bin/gcc-cleanup
downloadcbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.bz2
cbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.xz
obtained gcc-4.6.4.tar.bz2 from upstream website;upstream
verified gcc-4.6.4.tar.bz2.sig; imported gcc-4.6.4 source tree from verified upstream tarball. downloading a git-generated archive based on the 'upstream' tag should provide you with a source tree that is binary identical to the one extracted from the above tarball. if you have obtained the source via the command 'git clone', however, do note that line-endings of files in your working directory might differ from line-endings of the respective files in the upstream repository.
Diffstat (limited to 'contrib/reghunt/bin/gcc-cleanup')
-rwxr-xr-xcontrib/reghunt/bin/gcc-cleanup20
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/reghunt/bin/gcc-cleanup b/contrib/reghunt/bin/gcc-cleanup
new file mode 100755
index 000000000..3ec1b8f05
--- /dev/null
+++ b/contrib/reghunt/bin/gcc-cleanup
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+# Clean up between regression hunts.
+
+if [ "x${REG_SRCDIR}" = "x" ]; then
+ if [ -f gcc-svn-env ]; then
+ . ./gcc-svn-env
+ elif [ -f ../gcc-svn-env ]; then
+ . ../gcc-svn-env
+ elif [ -f ${HOME}/etc/gcc-svn-env ]; then
+ . ${HOME}/etc/gcc-svn-env
+ else
+ echo "$0: could not find gcc-svn-env file"
+ exit 1
+ fi
+fi
+
+rm -rf ${REG_SRCDIR}/gcc
+rm -rf ${REG_BUILDDIR}/obj
+rm -rf ${REG_PREFIX}